Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041234
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 15:472019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisiona2008d34b5b9
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041234: TransactionsDao.getCurrentlyClearedAmt is not using bind-param

DescriptionThis code is not using bind-params:
    final StringBuilder hqlString = new StringBuilder();
    hqlString.append("select sum(ft.depositAmount) - sum(ft.paymentAmount)");
    hqlString.append(" from FIN_Finacc_Transaction as ft");
    hqlString.append(" left outer join ft.reconciliation as rec");
    hqlString.append(" where ft.account.id = '" + strAccountId + "'");
    hqlString.append(" and rec.processed = 'N'");
    hqlString.append(" and ft.processed = 'Y'");

When fixing please apply new HQL-style to all 2 HQL's in the file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041390 closedcollazoandy4 Apply HQL style guide to TransactionsDao 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113517)
collazoandy4 (developer)
2019-07-18 13:50

Test Plan
  Create a new Sales Invoice with 'Al contado' payment method and complete it and add a payment to it
  Go to Financial Account window and select Caja record
    Create a new Funds Transfer with the payment amount
    Select the transaccion created by the invoice and clic on Reconcile
      Select the two records and clic on Reconcilie
    Check the process ends with out errors
(0113785)
hgbot (developer)
2019-08-02 14:20

Repository: erp/devel/pi
Changeset: a2008d34b5b9905a4b6de90b3b5dcc4697d105b0
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 18 22:43:41 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/a2008d34b5b9905a4b6de90b3b5dcc4697d105b0 [^]

Fixes issue 41234:TransactionsDao.getCurrentlyClearedAmt is not using bind-param

Use bind params in getCurrentlyClearedAmt query

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
---
(0113787)
Sandrahuguet (developer)
2019-08-02 14:20

code review + testing ok
(0114199)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 15:47 shuehner New Issue
2019-07-02 15:47 shuehner Assigned To => Triage Finance
2019-07-02 15:47 shuehner Modules => Core
2019-07-02 15:47 shuehner Triggers an Emergency Pack => No
2019-07-02 15:47 shuehner Relationship added blocks 0038136
2019-07-04 12:14 shuehner Target Version => 3.0PR19Q4
2019-07-17 16:18 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-17 16:18 collazoandy4 Status new => scheduled
2019-07-18 13:50 collazoandy4 Note Added: 0113517
2019-08-02 14:19 Sandrahuguet Relationship added related to 0041390
2019-08-02 14:20 hgbot Checkin
2019-08-02 14:20 hgbot Note Added: 0113785
2019-08-02 14:20 hgbot Status scheduled => resolved
2019-08-02 14:20 hgbot Resolution open => fixed
2019-08-02 14:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a2008d34b5b9905a4b6de90b3b5dcc4697d105b0 [^]
2019-08-02 14:20 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-02 14:20 Sandrahuguet Note Added: 0113787
2019-08-02 14:20 Sandrahuguet Status resolved => closed
2019-08-02 14:20 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114199


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker